// Exemple de graphique d'une itration de fonction

coef=2.5;

function yy=ff(xx)
//================
yy=coef*xx.*(1-xx);
endfunction

function TraceFonction
//====================
xx=0:0.001:1;
yy=ff(xx);
plot(xx,yy,xx,xx);  // trace la fonction  ff  et  la droite  y = x.
endfunction

function uu=CalculePoints(u0,nn)
//=============================
uu=zeros(1,nn);  // uu = un tableau de longueur  nn, rempli de zros
uu(1)=ff(u0);
for kk=1:nn-1 do
  uu(kk+1)=ff(uu(kk));
  end;
endfunction

function TracePoints(u0,uu)
//=========================
nn=length(uu);
aa=zeros(1,2*nn+1);  // liste des abscisses des points
oo=zeros(1,2*nn+1);  // liste des ordonnes des points
for kk=2:nn do
  aa(2*kk  )=uu(kk-1);
  aa(2*kk+1)=uu(kk);
  oo(2*kk)  =uu(kk);
  oo(2*kk+1)=uu(kk);
end;

aa(1)=u0;  aa(2)=u0;     aa(3)=uu(1);
oo(1)= 0;  oo(2)=uu(1);  oo(3)=uu(1);
plot(aa,oo,'b');
endfunction

// efface le graphique et rinitialise.
clf(); // equivalent to clf(gcf(),'clear')
//TraceFonction;

reponse="o";
while ((reponse == 'o') | (reponse == 'O')) do
//  coef=x_mdialog("donner le coefficient", 'entre 1 et 4', ['']);   coef=evstr(coef);  // evstr value l'expression donne en paramtre
  coef=input('donner le coefficient : ');
  u0=input('donner le premier terme u(0) : ');
  nn=input('donner le nombre de termes a calculer : ');
  clf(); 
//  show_window();  // met en avant la fentre graphique
  TraceFonction;
  uu=CalculePoints(u0, nn);
  TracePoints(u0, uu);
  reponse=input('construire une suite? (o/n)', "string");
end;
