// Champ de direction de l'qu. diff  y' = g - k_m * y  avec y=(0)=0

// constantes du problme.
g = 9.81;   k_m = 0.12;

function z=f(t,y)
//===============
  z = g - k_m * y;
endfunction

clf();
square(0, 0, 30, 125);
for ny = 1:30 do
  for nt = 1:30 do
    t = 0 + 1.0*nt; 
    y = 0 + 4.0*ny;
    at = [t-0.3,  t+0.3];
    ay = [y - 0.3*f(t,y),  y + 0.3*f(t,y)];
    plot(at, ay);
  end
end

// donnes :
a  = 0;
b  = 30;
h = (b-a)/n;
t = a:h:b;

// solution exacte.
C = -g/k_m;
yex = C*exp(-k_m*t) + g/k_m;
plot(t,yex,"r");
mygca = gca();  // paramtres courant du graphique.
mygca.box = "on"; // trace un cadre au graphique.
