// Intgration par la mthode de Monte-Carlo
// pour calculer le volume d'une sphre de rayon 1.

// donnes :
nTirage  = 1000;  // nombre de tirage alatoire
rand("uniform");
c = 0;  // compeur du nombre de points dans la sphre.

for k = 1:nTirage do
  // tirage d'un point alatoire dans le cube
  // centr  l'origine de ct de longueur 2
  x = 2*rand() -1 ;
  y = 2*rand() -1 ;
  z = 2*rand() -1 ;
  if (x*x + y*y + z*z < 1) then
    c = c + 1;
  end
end // for

// 8 = le volume du cube.
Vol = c*8/nTirage;

// lines(0) ne demande plus s'il faut continuer d'afficher
lines(0, 300);  // pour ne pas avoir de retour de ligne forc.
strS = ascii([13 10]) + "Volume de la sphre ~= " + string(Vol) +..
       ascii([13 10]) + "Volume exacte = 4*pi/3 = 4.1887902047864" +..
       ascii([13 10]) + "Diffrence = " + string(Vol - 4.1887902047864) +..
       ascii([13 10]) + "Incertitude ~= " + string(8 / sqrt(nTirage));
disp(strS);
       
lines(76,34);  // valeur par dfaut.